"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const backtrace_service_1 = require("backtrace-service");
const util_1 = require("./src/lib/util");
const log = backtrace_service_1.Logger.getLogger();
const configDb = backtrace_service_1.BacktraceService.readConfiguration('overview', 6457, util_1.isStandalone ? util_1.getConfPath('overview') : undefined, true).database;
const directory = path_1.default.dirname(configDb.connection.filename);
if (!fs_1.default.existsSync(directory)) {
    try {
        fs_1.default.mkdirSync(directory, { recursive: true });
    }
    catch (err) {
        log.error(`Error: Database directory ${directory} cannot be created.`);
        throw err;
    }
}
const migrationsDir = /knex/.test(process.env._) ? './migrations' : './dist/migrations';
const defaults = {
    migrations: {
        directory: migrationsDir,
    },
    useNullAsDefault: true,
};
const conf = Object.assign(defaults, configDb);
exports.default = conf;
//# sourceMappingURL=knexfile.js.map