"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const backtrace_service_1 = require("backtrace-service");
const queries_1 = __importDefault(require("./controller/queries"));
const util_1 = require("./lib/util");
const db_1 = require("./lib/db");
const name = 'overview';
const port = 6457;
const service = util_1.isStandalone
    ? util_1.getStandaloneService({ name, port })
    : backtrace_service_1.BacktraceService.bootstrap(name, port);
global.service = service;
const log = backtrace_service_1.Logger.getLogger();
const urlPrefix = ((_a = service.configuration.descriptor) === null || _a === void 0 ? void 0 : _a.resource) || `/api/${name}`;
(async () => {
    const db = await db_1.getDb();
    queries_1.default(db, service, urlPrefix);
    service.app.get(`${urlPrefix}/version`, service.identityManager.authenticateRequest(), util_1.bypassAccessCheck(service, true), (_req, res) => {
        res.json({ version: process.env.npm_package_version });
    });
    service.start(true);
})();
//# sourceMappingURL=main.js.map