/* This task fetches a repository. Usage:
 *   NODE_ENV=development node dist/tasks/seed_defaults.js
 *     or
 *   NODE_ENV=production node dist/tasks/seed_defaults.js
 */

import seed from '../src/lib/seed';
import { getDb } from '../src/lib/db';

const NODE_ENV = process.env.NODE_ENV;
if (NODE_ENV !== 'production' && NODE_ENV !== 'development') {
  console.error('Please set NODE_ENV to production or development');
  process.exit(-1);
}

(async function () {
  await seed(await getDb());
  process.exit(0);
})();
